Page MenuHomePhabricator

API call in new search bar & UploadWizard not working
Closed, ResolvedPublicBUG REPORT

Description

User story: N/A

Steps to reproduce

  • set $wgMediaInfoEnableSearch = true; in LocalSettings.php
  • type something in the search bar
  • See in js console TypeError: mw.ForeignApi is not a constructor[Learn More]

Acceptance criteria:

Event Timeline

Cparle created this task.Mar 28 2019, 5:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2019, 5:49 PM

Change 499983 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Use getLocationAgnosticMwApi & fix dependencies for statements

https://gerrit.wikimedia.org/r/499983

Change 499983 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Use getLocationAgnosticMwApi & fix dependencies for statements

https://gerrit.wikimedia.org/r/499983

Ramsey-WMF triaged this task as Normal priority.Mar 29 2019, 6:50 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
matthiasmullie renamed this task from API call in new search bar not working to API call in new search bar & UploadWizard not working.Apr 2 2019, 4:45 PM
Jdforrester-WMF closed this task as Resolved.May 1 2019, 5:54 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)